# stringtable Struct Reference

`#include <lua/lstate.h>`

Collaboration diagram for stringtable:

[legend]

## Data Fields

GCObject ** | hash
lu_int32 | nuse
int | size

## Detailed Description

Definition at line 38 of file lstate.h.

## Field Documentation

GCObject** stringtable::hash

Definition at line 39 of file lstate.h.

Referenced by lua_newstate(), luaC_freeall(), luaS_resize(), newlstr(), and singlestep().

lu_int32 stringtable::nuse

Definition at line 40 of file lstate.h.

Referenced by checkSizes(), close_state(), lua_newstate(), and newlstr().

int stringtable::size

Definition at line 41 of file lstate.h.

Referenced by checkSizes(), lua_newstate(), luaC_freeall(), luaS_resize(), newlstr(), and singlestep().

The documentation for this struct was generated from the following file:

- lua/lstate.h